* Do File written by Jed Stephens
* VERSION II
* 14/02/2018

* USE A DO CALL ON THIS FILE
* FROM YOUR OWN DO FILE.

* ASSET INDEX HOUSEKEEPING
* There will be a recoding of the asset variables.
* This makes the variables dummy variables.
* All these take the specific form, ...q15R...

gen q15R_1_ = q15_1_
gen q15R_2_ = q15_2_
gen q15R_3_ = q15_3_
gen q15R_4_ = q15_4_
gen q15R_5_ = q15_5_
gen q15R_6_ = q15_6_
gen q15R_7_ = q15_7_
gen q15R_8_ = q15_8_
gen q15R_9_ = q15_9_
gen q15R_10_ = q15_10_
gen q15R_11_ = q15_11_
gen q15R_12_ = q15_12_
gen q15R_13_ = q15_13_
gen q15R_14_ = q15_14_
gen q15R_15_ = q15_15_
gen q15R_16_ = q15_16_
gen q15R_17_ = q15_17_
gen q15R_18_ = q15_18_
gen q15R_19_ = q15_19_
gen q15R_20_ = q15_20_
gen q15R_21_ = q15_21_
gen q15R_22_ = q15_22_
gen q15R_23_ = q15_23_
gen q15R_24_ = q15_24_
gen q15R_25_ = q15_25_
gen q15R_26_ = q15_26_
gen q15R_27_ = q15_27_
gen q15R_28_ = q15_28_

* FIRST if the respondent answered NO (coded as 2) it is set to zero, i.e. not owning.
replace q15R_1_ = 0 if q15_1_==2
replace q15R_2_ = 0 if q15_2_==2
replace q15R_3_ = 0 if q15_3_==2
replace q15R_4_ = 0 if q15_4_==2
replace q15R_5_ = 0 if q15_5_==2
replace q15R_6_ = 0 if q15_6_==2
replace q15R_7_ = 0 if q15_7_==2
replace q15R_8_ = 0 if q15_8_==2
replace q15R_9_ = 0 if q15_9_==2
replace q15R_10_ = 0 if q15_10_==2
replace q15R_11_ = 0 if q15_11_==2
replace q15R_12_ = 0 if q15_12_==2
replace q15R_13_ = 0 if q15_13_==2
replace q15R_14_ = 0 if q15_14_==2
replace q15R_15_ = 0 if q15_15_==2
replace q15R_16_ = 0 if q15_16_==2
replace q15R_17_ = 0 if q15_17_==2
replace q15R_18_ = 0 if q15_18_==2
replace q15R_19_ = 0 if q15_19_==2
replace q15R_20_ = 0 if q15_20_==2
replace q15R_21_ = 0 if q15_21_==2
replace q15R_22_ = 0 if q15_22_==2
replace q15R_23_ = 0 if q15_23_==2
replace q15R_24_ = 0 if q15_24_==2
replace q15R_25_ = 0 if q15_25_==2
replace q15R_26_ = 0 if q15_26_==2
replace q15R_27_ = 0 if q15_27_==2
replace q15R_28_ = 0 if q15_28_==2
* SECOND, an assumption is made: if the respondent had a missing value, it is set to zero i.e. not owning.
replace q15R_1_ = 0 if q15_1_==.
replace q15R_2_ = 0 if q15_2_==.
replace q15R_3_ = 0 if q15_3_==.
replace q15R_4_ = 0 if q15_4_==.
replace q15R_5_ = 0 if q15_5_==.
replace q15R_6_ = 0 if q15_6_==.
replace q15R_7_ = 0 if q15_7_==.
replace q15R_8_ = 0 if q15_8_==.
replace q15R_9_ = 0 if q15_9_==.
replace q15R_10_ = 0 if q15_10_==.
replace q15R_11_ = 0 if q15_11_==.
replace q15R_12_ = 0 if q15_12_==.
replace q15R_13_ = 0 if q15_13_==.
replace q15R_14_ = 0 if q15_14_==.
replace q15R_15_ = 0 if q15_15_==.
replace q15R_16_ = 0 if q15_16_==.
replace q15R_17_ = 0 if q15_17_==.
replace q15R_18_ = 0 if q15_18_==.
replace q15R_19_ = 0 if q15_19_==.
replace q15R_20_ = 0 if q15_20_==.
replace q15R_21_ = 0 if q15_21_==.
replace q15R_22_ = 0 if q15_22_==.
replace q15R_23_ = 0 if q15_23_==.
replace q15R_24_ = 0 if q15_24_==.
replace q15R_25_ = 0 if q15_25_==.
replace q15R_26_ = 0 if q15_26_==.
replace q15R_27_ = 0 if q15_27_==.
replace q15R_28_ = 0 if q15_28_==.
* THIRD, an assumption is made: if the respondent answered "Don't Know (coded -9)" or "Refused", it is set to zero, i.e. not owning.
replace q15R_1_ = 0 if q15_1_<0
replace q15R_2_ = 0 if q15_2_<0
replace q15R_3_ = 0 if q15_3_<0
replace q15R_4_ = 0 if q15_4_<0
replace q15R_5_ = 0 if q15_5_<0
replace q15R_6_ = 0 if q15_6_<0
replace q15R_7_ = 0 if q15_7_<0
replace q15R_8_ = 0 if q15_8_<0
replace q15R_9_ = 0 if q15_9_<0
replace q15R_10_ = 0 if q15_10_<0
replace q15R_11_ = 0 if q15_11_<0
replace q15R_12_ = 0 if q15_12_<0
replace q15R_13_ = 0 if q15_13_<0
replace q15R_14_ = 0 if q15_14_<0
replace q15R_15_ = 0 if q15_15_<0
replace q15R_16_ = 0 if q15_16_<0
replace q15R_17_ = 0 if q15_17_<0
replace q15R_18_ = 0 if q15_18_<0
replace q15R_19_ = 0 if q15_19_<0
replace q15R_20_ = 0 if q15_20_<0
replace q15R_21_ = 0 if q15_21_<0
replace q15R_22_ = 0 if q15_22_<0
replace q15R_23_ = 0 if q15_23_<0
replace q15R_24_ = 0 if q15_24_<0
replace q15R_25_ = 0 if q15_25_<0
replace q15R_26_ = 0 if q15_26_<0
replace q15R_27_ = 0 if q15_27_<0
replace q15R_28_ = 0 if q15_28_<0

* This means that for Questions Q15.1 to Q15.28, there are dummy variables: 0 = NO (not owning) while 1 = YES (owning) the asset.

*************** ADDATIVE INDEX ******************
* A very simple method for an asset index is to use an "additive" index.
* Here if a respondent owns a particular asset, they get an additional point.
* Any other response (as per assumptions above) are not awarded a point.

* Owning a snap trap (q15.22), owning a cage trap (q15.23) and cooking on an open fire (q15.26) are not included as assets.
* In addition: boundary wall (q15.27) and an ornate boundary wall (q15.28) are also excluded, because these describe the dwelling, not the assets within.
generate addative_index =q15R_1_+q15R_2_+q15R_3_+q15R_4_+q15R_5_+q15R_6_+q15R_7_+q15R_8_ ///
+q15R_9_+q15R_10+q15R_11+q15R_12+q15R_13+q15R_14+q15R_15+q15R_16+q15R_17+q15R_18+q15R_19 ///
+q15R_20+q15R_21+q15R_24+q15R_25
/* Some notes on the additive method
The additive method can be considered a "naïve" method of calculating an asset index.
It has an inherit shortcoming that assets such as a motor vehicle (Q15.6) carry the same (one point) as a bicycle (Q15.18).
However, the costs of these two assets would be very different.
As an asset index is intended to separate respondents different economic status it may be more realistic to try other measures.
*/

****************** AVERAGE PRICE INDEX ************
/* Instead of simply adding one point for each asset owned, the average price index offers a more realistic alternative.
For each asset owned the index value increases by the average price of that asset as determined by four key estimations.
(These are three residents of Khayelitsha, two of whom are interviewers and one researcher.)
To see the estimates for each of the assets, refer to the excel spreadsheet.
*/
* Make these identical to the recoded variables
gen q15V_1_ = q15R_1_
gen q15V_2_ = q15R_2_
gen q15V_3_ = q15R_3_
gen q15V_4_ = q15R_4_
gen q15V_5_ = q15R_5_
gen q15V_6_ = q15R_6_
gen q15V_7_ = q15R_7_
gen q15V_8_ = q15R_8_
gen q15V_9_ = q15R_9_
gen q15V_10_ = q15R_10_
gen q15V_11_ = q15R_11_
gen q15V_12_ = q15R_12_
gen q15V_13_ = q15R_13_
gen q15V_14_ = q15R_14_
gen q15V_15_ = q15R_15_
gen q15V_16_ = q15R_16_
gen q15V_17_ = q15R_17_
gen q15V_18_ = q15R_18_
gen q15V_19_ = q15R_19_
gen q15V_20_ = q15R_20_
gen q15V_21_ = q15R_21_
gen q15V_22_ = q15R_22_
gen q15V_23_ = q15R_23_
gen q15V_24_ = q15R_24_
gen q15V_25_ = q15R_25_
gen q15V_26_ = q15R_26_
gen q15V_27_ = q15R_27_
gen q15V_28_ = q15R_28_

* The average value of each asset will replace the average price as per the Excel Spreadsheet
replace q15V_1_ = 192.5 if q15R_1_ == 1
replace q15V_2_ = 1575 if q15R_2_ == 1
replace q15V_3_ = 4625 if q15R_3_ == 1
replace q15V_4_ = 1083.33 if q15R_4_ == 1
replace q15V_5_ = 4725 if q15R_5_ == 1
replace q15V_6_ = 262.5 if q15R_6_ == 1
replace q15V_7_ = 1625 if q15R_7_ == 1
replace q15V_8_ = 1537.5 if q15R_8_ == 1
replace q15V_9_ = 700 if q15R_9_ == 1
replace q15V_10_ = 475 if q15R_10_ == 1
replace q15V_11_ = 332.5 if q15R_11_ == 1
replace q15V_12_ = 1062.5 if q15R_12_ == 1
replace q15V_13_ = 3425 if q15R_13_ == 1
replace q15V_14_ = 3450 if q15R_14_ == 1
replace q15V_15_ = 2600 if q15R_15_ == 1
replace q15V_16_ = 36250 if q15R_16_ == 1
replace q15V_17_ = 15000 if q15R_17_ == 1
replace q15V_18_ = 745 if q15R_18_ == 1
replace q15V_19_ = 581.25 if q15R_19_ == 1
replace q15V_20_ = 900 if q15R_20_ == 1
replace q15V_21_ = 700 if q15R_21_ == 1
replace q15V_22_ = 36.67 if q15R_22_ == 1
replace q15V_23_ = 40 if q15R_23_ == 1
replace q15V_24_ = 2250 if q15R_24_ == 1
replace q15V_25_ = 6000 if q15R_25_ == 1
replace q15V_26_ = 0 if q15R_26_ == 1
replace q15V_27_ = 4350 if q15R_27_ == 1
replace q15V_28_ = 12875 if q15R_28_ == 1

generate avg_price_index =q15V_1_+q15V_2_+q15V_3_+q15V_4_+q15V_5_+q15V_6_+q15V_7_+q15V_8_ ///
+q15V_9_+q15V_10+q15V_11+q15V_12+q15V_13+q15V_14+q15V_15+q15V_16+q15V_17+q15V_18+q15V_19 ///
+q15V_20+q15V_21+q15V_24+q15V_25

* There are some ways to enhance interpretability of this index
* One method is to scale the index so that the richest person has a value of 1.
sum avg_price_index
return list
* Here we rescale the index
gen scaled_avg_price_index = (avg_price_index / r(max))
